org.apache.cassandra.cql3.functions

## Interface AggregateFunction.Aggregate

Enclosing interface:
  AggregateFunction

    public static interface AggregateFunction.Aggregate

An aggregation operation.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addInput(int protocolVersion, java.util.List<java.nio.ByteBuffer> values)` Adds the specified input to this aggregate.
`java.nio.ByteBuffer` `compute(int protocolVersion)` Computes and returns the aggregate current value.
`void` `reset()` Reset this aggregate.

### Method Detail

#### addInput

    void addInput(int protocolVersion,
                  java.util.List<java.nio.ByteBuffer> values)
           throws InvalidRequestException

Adds the specified input to this aggregate.

Parameters:
  `protocolVersion` - native protocol version
  `values` - the values to add to the aggregate.
Throws:
  `InvalidRequestException`

#### compute

    java.nio.ByteBuffer compute(int protocolVersion)
                         throws InvalidRequestException

Computes and returns the aggregate current value.

Parameters:
  `protocolVersion` - native protocol version
Returns:
  the aggregate current value.
Throws:
  `InvalidRequestException`

#### reset

    void reset()

Reset this aggregate.